Summary: The Red Hat package management system.
Name: rpm
Version: 3.0.6
Release: 8tr
Group: System/Base
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-%{version}.tar.gz
Source1: k6-rpmrc.bz2
Patch0: rpm-3.0.6-path.patch.bz2
Patch1: rpm-3.0.6-rpmgettext.patch.bz2
Patch2: rpm-3.0.6-rpmlibsucks.patch.bz2
Patch3: rpm-3.0.6-bashort.patch.bz2
Patch4: rpm-3.0.6-pass.patch.bz2
Patch5: rpm-3.0.6-rpmrc.patch
Patch6: rpm-3.0.6-canonarch.patch
Patch7: rpm-3.0.6-autogen.patch
Patch8: rpm-3.0.6-binbash.patch
Patch9: rpm-3.0.6-no-serials.patch
Patch10: rpm-3.0.6-macros.patch
Patch11: rpm-3.0.6-automake-version.patch
License: GPL
Conflicts: patch < 2.5
Prereq: gawk fileutils textutils sh-utils mktemp
BuildRequires: bzip2
BuildRequires: zlib >=  1.1.4
Requires: bzip2
BuildRoot: /var/tmp/%{name}-root

%description
The Red Hat Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Libraries/Development
%ifos linux
Requires: python >= 1.5.1
%endif

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package perl
Summary: Scripts which requires perl
Group: System/Base
Requires: perl

%description perl
This package contains the perl scripts perl.prov and perl.req. They
have been separated into their own package so that rpm doesn't require
perl.

%package -n popt
Summary: A C library for parsing command line parameters.
Group: Libraries/Runtime
Version: 1.5.1

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

Install popt if you're a C programmer and you'd like to use its
capabilities.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} --mandir='%{_prefix}/share/man' --sysconfdir=/etc --localstatedir=/var --infodir=%{_prefix}/share/info --enable-v5-packages 

bzcat %{SOURCE1} >> rpmrc.in
perl -p -i -e "s/-all-static/-static/" ltmain.sh
# ugly hack to make stuff compile properly
perl -pi -e 's/^DEFS =/DEFS = -D_GNU_SOURCE/' lib/Makefile

make CFLAGS="$RPM_OPT_FLAGS"
make -C python CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/RPMS/{i386,i486,i586,i686,k6}
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/RPMS/noarch

make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" -C python install


find $RPM_BUILD_ROOT/usr/share/man -type f -name '*[0-9]'|xargs -r bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

cd $RPM_BUILD_ROOT
mv ./usr/lib/rpm/rpmgettext ./usr/bin/
mv ./usr/lib/rpm/rpmputtext ./usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpm --initdb
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f /usr/lib/rpm/convertrpmrc.sh ] 
then
	sh /usr/lib/rpm/convertrpmrc.sh 2>&1 > /dev/null
fi

##########################

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY CHANGES GROUPS doc/*
/bin/rpm
%{_prefix}/bin/rpm2cpio
%{_prefix}/bin/gendiff
%{_prefix}/lib/librpm.so.*
%{_prefix}/lib/librpmbuild.so.*

%{_prefix}/lib/rpm/brp-*
%{_prefix}/lib/rpm/config.guess
%{_prefix}/lib/rpm/config.sub
%{_prefix}/lib/rpm/convertrpmrc.sh
%{_prefix}/lib/rpm/find-provides
%{_prefix}/lib/rpm/find-requires
%{_prefix}/lib/rpm/macros
%{_prefix}/lib/rpm/mkinstalldirs
%{_prefix}/lib/rpm/rpmpopt
%{_prefix}/lib/rpm/rpmrc
%{_prefix}/lib/rpm/vpkg-provides.sh
%{_prefix}/lib/rpm/vpkg-provides2.sh

%ifarch i386 i486 i586 i686
%{_prefix}/lib/rpm/i[3456]86*
%endif
%ifarch alpha
%{_prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparc64
%{_prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%{_prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc
%{_prefix}/lib/rpm/ppc*
%endif

%dir %{_prefix}/src/RPM
%dir %{_prefix}/src/RPM/BUILD
%dir %{_prefix}/src/RPM/SPECS
%dir %{_prefix}/src/RPM/SOURCES
%dir %{_prefix}/src/RPM/SRPMS
%dir %{_prefix}/src/RPM/RPMS
%{_prefix}/src/RPM/RPMS/*
%{_prefix}/*/locale/*/LC_MESSAGES/rpm.mo
%{_mandir}/man[18]/*.[18]*
%lang(pl) %{_mandir}/pl/man[18]/*.[18]*
%lang(ru) %{_mandir}/ru/man[18]/*.[18]*
%lang(sk) %{_mandir}/sk/man[18]/*.[18]*

%ifos linux
%{_prefix}/lib/python1.5/site-packages/rpmmodule.so
%endif

%{_prefix}/lib/rpm/check-prereqs
%{_prefix}/lib/rpm/find-lang.sh
%{_prefix}/lib/rpm/getpo.sh
%{_prefix}/bin/rpmgettext
%{_prefix}/bin/rpmputtext
%{_prefix}/lib/rpm/u_pkg.sh

%files devel
%defattr(-,root,root)
%{_prefix}/include/rpm
%{_prefix}/lib/librpm.a
%{_prefix}/lib/librpm.la
%{_prefix}/lib/librpm.so
%{_prefix}/lib/librpmbuild.a
%{_prefix}/lib/librpmbuild.la
%{_prefix}/lib/librpmbuild.so

%files -n popt
%defattr(-,root,root)
%{_prefix}/lib/libpopt.so.*
%{_prefix}/*/locale/*/LC_MESSAGES/popt.mo
%{_mandir}/man3/popt.3*

# XXX These may end up in popt-devel but it hardly seems worth the effort now.
%{_prefix}/lib/libpopt.a
%{_prefix}/lib/libpopt.la
%{_prefix}/lib/libpopt.so
%{_prefix}/include/popt.h
%{_prefix}/lib/rpm/find-provides.perl
%{_prefix}/lib/rpm/find-requires.perl

%files perl
%defattr(-,root,root)
%{_prefix}/lib/rpm/find-prov.pl
%{_prefix}/lib/rpm/find-req.pl
%{_prefix}/lib/rpm/cpanflute
%{_prefix}/lib/rpm/get_magic.pl
%{_prefix}/lib/rpm/http.req
%{_prefix}/lib/rpm/magic.prov
%{_prefix}/lib/rpm/magic.req
%{_prefix}/lib/rpm/perl.prov
%{_prefix}/lib/rpm/perl.req
%{_prefix}/lib/rpm/rpmdiff
%{_prefix}/lib/rpm/rpmdiff.cgi

%changelog
* Fri Dec 13 2002 Erlend Midttun <erlendbm@trustix.com> 3.0.6-8tr
- Added _initdir macro
- Added check if configure.in is newer than configure before running
  libtoolize.  Hopefully this will keep libtool from breaking stuff.

* Fri Mar 15 2002 Christian H. Toldnes <christht@trustix.com>
- Rebuild against updated zlib due to zlib security fix.
- Added BuildRequires: zlib >= 1.1.4

* Wed Jul  4 2001 Oystein Viggen <oysteivi@trustix.com>
- Set sysconfdir to /etc

* Thu Jun 14 2001 Oystein Viggen <oysteivi@trustix.com>
- Correct group for popt

* Wed Jun 13 2001 Oystein Viggen <oysteivi@trustix.com>
- Make autogen.sh not break on new autmake

* Tue Jun 12 2001 Erlend Midttun <erlendbm@trustix.com>
- Updated macros as suggested by Goetz Bock.

* Fri Mar 30 2001 Alexander Reelsen <ar@trustix.com>
- Added a patch not to support serials. This is TSL policy.

* Fri Feb  9 2001 Oystein Viggen <oysteivi@trustix.com>
- Upgrade to v3.0.6

* Mon Sep 18 2000 Erlend Midttun <erlendbm@trustix.com>
- Rebuild to reflect new libtool

* Sat Jan 29 2000 Erlend Midttun <erlendbm@trustix.com>
- Created a different package for perl scripts in order to keep the install
  as little as possible

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/-O6/-O3/

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
- Add %prefix/locale/*/ in %files more doc and %prefix/man/%lang/*

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to check PGPPASS before signing.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Wed Oct 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Create a k6 directory in /usr/src/RPM/RPMS

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post # RPM bugs ?
- 3.0.3 final.

* Mon Sep 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- reEnable the rpm -ba --short-circuit from pixel.
- add patch to get work the python modules (#204).

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Whoops wrong k6 cflags

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Preliminary k6 support

* Thu Sep 23 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in rpmlib

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to fix wrong info path (tnks pablo).
- Fix CFLAGS with multiple gcc interface.

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS - this finally permits us to Provide: versions.

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS
- Put new preferred CFLAGS for {p,}gcc 2.95 in rpmrc by default
- enable support for RPM4 packages
- ignore autoconf version conflicts (autoconf 2.14 works, but rpm
  insists on 2.13)

* Sat Jul 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last cvs version.
- More architecture in rpmputtext (Pablo).

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last version from CVS (fix --rebuild bugs).
- s|i386|i586| in rpmputtext.

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- I wonder want to know why rpmlib is so buggy :-((.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix rpmpopt wrong path.
- Last CVS snapshot.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- oups Forget to add rpmputtext.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Moving the rpmputtext rpmputtext to /usr/bin
- 3.0.3 from CVS.
- Relifting of spec files.
- Build Patch.
- Merging old patch of libmisc and libtool.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.0.2 final (15mdk)
- fixed default build arch use --target if you need it
- added librpmbuild.*a and other libtool files

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Could not find 11mdk srpm, snapshoted rpm cvs and incremented release

* Fri May 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the CVS stuff when compiling.

* Thu May 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to a recent 3.0.2 CVS snapshot (BuildRequire :) )
- add our CFLAGS to rpmrc
- Recompile with CFLAGS for devel

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to more recent 3.0.1 CVS snapshot (more bugfixes)

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I have forget to mkdir /usr/src/RPM instead of */*/redhat/
- 3.0.1 from Bero.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Add patch for /usr/src/rpm instead of /usr/src/redhat/.
